taql(1)

NAME

taql - query language for casacore tables

SYNOPSIS

taql [OPTIONS]

DESCRIPTION

The Table Query Language (TaQL) is an SQL-like high level language to do operations like selection, sort, and update on a casacore table. It is a very versatile language with full support for table columns containing array data. It has inherent support for masked arrays, units, and astronomical coordinates. It has a very rich set of functions (like cone search and array reduction) making it very suitable for astronomical applications. User defined functions can be added easily. It also has full support of grouping/aggregation and nested queries. An operation that can be expressed in a single function is the matching of two sky catalogues.

taql can be started with multiple arguments containing options and an optional TaQL command as the last argument. It will run interactively if no TaQL command is given. If possible, interactive commands are kept in $HOME/.taqlhistory for later reuse.

A binding in C++, Python, and Glish is available.

OPTIONS

-s,--style
    defines the TaQL style. The default style is python; if no value is given after -s it defaults to glish.

-h,--help
    show help and exits.

-ps,--printselect
    show the values of selected columns.

-pm,--printmeasure
    if possible, show values as formatted measures.

-pc,--printcommand
    show the (expanded) TaQL command.

-pr,--printrows
    show the number of rows selected, updated, etc.

The default for -pc is on for interactive mode, otherwise off. The default for -pr, -ps, and -pm is on.

SEE ALSO

http://www.astron.nl/casacore/trunk/casacore/doc/notes/199.html

AUTHOR

This manual page was written by Benda Xu <heroxbd@gentoo.org>, for the Debian GNU/Linux system.